VCard::Address Struct Reference

`#include <vcard.h>`

## Public Attributes

std::string | pobox
std::string | extadd
std::string | street
std::string | locality
std::string | region
std::string | pcode
std::string | ctry
bool | home
bool | work
bool | postal
bool | parcel
bool | pref
bool | dom
bool | intl

## Detailed Description

Describes an address entry.

Definition at line 138 of file vcard.h.

## Member Data Documentation

## ctry

std::string ctry

Country.

Definition at line 146 of file vcard.h.

## dom

bool dom

Whether this is a domestic(?) address.

Definition at line 152 of file vcard.h.

## extadd

std::string extadd

Extended address.

Definition at line 141 of file vcard.h.

## home

bool home

Whether this is a personal address.

Definition at line 147 of file vcard.h.

## intl

bool intl

Whether this is an international(?) address.

Definition at line 153 of file vcard.h.

## locality

std::string locality

Locality.

Definition at line 143 of file vcard.h.

## parcel

bool parcel

Whether this is a arcel address(?).

Definition at line 150 of file vcard.h.

## pcode

std::string pcode

Postal code.

Definition at line 145 of file vcard.h.

## pobox

std::string pobox

Pobox.

Definition at line 140 of file vcard.h.

## postal

bool postal

Whether this is a postal address(?).

Definition at line 149 of file vcard.h.

## pref

bool pref

Whether this is the preferred address.

Definition at line 151 of file vcard.h.

## region

std::string region

Region.

Definition at line 144 of file vcard.h.

## street

std::string street

Street.

Definition at line 142 of file vcard.h.

## work

bool work

Whether this is a work address.

Definition at line 148 of file vcard.h.

The documentation for this struct was generated from the following file:

- vcard.h